import { Viewer, createTemplateBoard, createEdge, DrawDimension } from ".";
import { Geometry } from "three";

export function LoadBoard(view: Viewer, data: any[])
{
    view.m_Scene.children.forEach(obj =>
    {
        let geo = obj["geometry"] as Geometry;
        if (geo) geo.dispose();
    })
    view.m_Scene.children.length = 0;

    //加板
    let { meshs, edgesa } = createTemplateBoard(data);
    //加标注
    let dims = DrawDimension(meshs);

    view.m_Scene.add(...meshs);
    view.m_Scene.add(...edgesa);
    view.m_Scene.add(...dims);

    view.ViewToSwiso();
    view.ZoomAll();
    view.Zoom(1.1);
}
